/** 访问后端接口的域名或IP */
// const Base_url = "http://172.16.182.222:8080/BH_CLIS/"
// const Base_url = "https://c56.hr-network.cn/BH_CLIS/"
const Base_url = "http://localhost:8012/BH_CLIS/"

/** 同时发送异步代码的次数，防止一次点击中有多次请求 */
let ajaxTimes = 0;

export const request = (options) => {
	return new Promise((resolve, reject) => {
		/** 获取本地保存的token信息,可选 */
		// let token = uni.getStorageSync('token')
		uni.request({
			url: Base_url + options.url,
			method: options.method || 'GET',
			data: options.data || {},
			header: options.header || {},
			success: (res) => {
				console.log(res)
				if (res.data.code !== 'success') {
					return uni.showToast({
						icon: 'none',
						title: res.data.errorDesc
					})
				}
				/** 成功，将数据返回 */
				resolve(res.data)
			},
			fail: (err) => {
				/** 异常情况 */
				uni.showToast({
					icon: 'error',
					title: "请求接口失败！"
				})
				console.log(55555)
				console.log(res.data)
				reject(err)
			}
		})
	})
}

export default Base_url;